Skip to main content
GET
/
bins
Single BIN lookup
curl --request GET \
  --url https://parrot.sandbox.pagosapi.com/bins \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://parrot.sandbox.pagosapi.com/bins"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://parrot.sandbox.pagosapi.com/bins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "card": {
    "number": {
      "length": 123
    },
    "bin_length": 123,
    "pagos_bin_length": 123,
    "bin_min": "<string>",
    "bin_max": "<string>",
    "pan_or_token": "<string>",
    "virtual_card": true,
    "level2": true,
    "level3": true,
    "alm": true,
    "account_updater": true,
    "domestic_only": true,
    "gambling_blocked": true,
    "issuer_currency": "<string>",
    "reloadable": true,
    "additional_card_brands": [
      {
        "card_brand": "<string>",
        "bin_max": "<string>",
        "bin_min": "<string>",
        "card_brand_product": "<string>",
        "card_brand_bank_name": "<string>",
        "ecom_enabled": true,
        "billpay_enabled": true
      }
    ],
    "card_brand": "<string>",
    "card_segment_type": "<string>",
    "combo_card": "<string>",
    "type": "<string>",
    "funding_source": "<string>",
    "prepaid": true,
    "product": {
      "product_id": "<string>",
      "product_name": "<string>"
    },
    "bank": {
      "name": "<string>",
      "phone": "<string>",
      "url": "<string>",
      "clean_name": "<string>"
    },
    "country": {
      "alpha2": "<string>",
      "numeric": "<string>",
      "name": "<string>"
    },
    "authentication": {
      "authentication_required": true,
      "authentication_name": "<string>"
    },
    "cost": {
      "interchange": {
        "regulated": true,
        "regulated_name": "<string>",
        "domestic": {
          "cap_region_shortname": "<string>",
          "cap_advalorem_amount": "<string>",
          "cap_type_name": "<string>",
          "cap_fixed_amount": "<string>",
          "cap_type_qualifier_currency": "<string>",
          "cap_type_qualifier_text": "<string>",
          "cap_type_qualifier_lower": "<string>",
          "cap_type_qualifier_upper": "<string>"
        },
        "inter": {
          "cap_region_shortname": "<string>",
          "cap_advalorem_amount": "<string>",
          "cap_type_name": "<string>",
          "cap_fixed_amount": "<string>",
          "cap_type_qualifier_currency": "<string>",
          "cap_type_qualifier_text": "<string>",
          "cap_type_qualifier_lower": "<string>",
          "cap_type_qualifier_upper": "<string>"
        },
        "intra": {
          "cap_region_shortname": "<string>",
          "cap_advalorem_amount": "<string>",
          "cap_type_name": "<string>",
          "cap_fixed_amount": "<string>",
          "cap_type_qualifier_currency": "<string>",
          "cap_type_qualifier_text": "<string>",
          "cap_type_qualifier_lower": "<string>",
          "cap_type_qualifier_upper": "<string>"
        },
        "notes": "<string>"
      }
    },
    "networkfees": {},
    "correlation_id": "<string>",
    "issuer_supports_tokenization": true,
    "multi_account_access_indicator": "<string>",
    "shared_bin": true,
    "flagged_for_delete_remaining_wks": 123
  }
}

Authorizations

Authorization
string
header
required

Format is: Bearer <api_key>, where <api_key> is your Pagos API key

Query Parameters

enhanced
boolean

Set to true for enhanced attributes

bin
string
required

Bin number (6-10 digits)

Required string length: 6 - 10
Pattern: ^\d+(\.\d+)?$

Response

Success

card
object